# EarModule

interface EarModule

A module element in a deployment descriptor like application.xml.

#### Inheritors

EarWebModule

## Functions

getAltDeployDescriptor
Link copied to clipboard
abstract fun getAltDeployDescriptor(): String
The alt-dd element specifies an optional URI to the post-assembly version of the deployment descriptor file for a particular Java EE module.
getPath
Link copied to clipboard
abstract fun getPath(): String
The connector element specifies the URI of an archive file, relative to the top level of the application package.
setAltDeployDescriptor
Link copied to clipboard
abstract fun setAltDeployDescriptor(altDeployDescriptor: String)
setPath
Link copied to clipboard
abstract fun setPath(path: String)
toXmlNode
Link copied to clipboard
abstract fun toXmlNode(parentModule: Node, name: Any): Node
Convert this object to an XML Node (or two nodes if altDeployDescriptor is not null).